Package org.apache.velocity.runtime.parser.node

# Class SetPublicFieldExecutor

java.lang.Object
org.apache.velocity.runtime.parser.node.SetExecutor
org.apache.velocity.runtime.parser.node.SetPublicFieldExecutor

public class SetPublicFieldExecutor extends SetExecutor
Executor for setting public fields in objects

Author:
  Henning P. Schmiedehausen, Candid Dauth

## Field Summary

### Fields inherited from class org.apache.velocity.runtime.parser.node.SetExecutor

`log`

## Constructor Summary

Constructors
Constructor
Description
`SetPublicFieldExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property, Object arg)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`discover(Class<?> clazz, String property, Object arg)`
`Object`
`execute(Object o, Object value)`
Execute method against context.
`Field`
`getField()`
`protected Introspector`
`getIntrospector()`
`boolean`
`isAlive()`
Tell whether the executor is alive by looking at the value of the method.
`protected void`
`setField(Field field)`

### Methods inherited from class org.apache.velocity.runtime.parser.node.SetExecutor

`getMethod, setMethod`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SetPublicFieldExecutor

public SetPublicFieldExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property, Object arg)

Parameters:
  `log` -
  `introspector` -
  `clazz` -
  `property` -
  `arg` -

## Method Details

### isAlive

public boolean isAlive()
Description copied from class: `SetExecutor`
Tell whether the executor is alive by looking at the value of the method.

Overrides:
  `isAlive` in class `SetExecutor`
Returns:
  True if the executor is alive.

### getField

public Field getField()

Returns:
  The current field.

### setField

protected void setField(Field field)

Parameters:
  `field` -

### getIntrospector

protected Introspector getIntrospector()

Returns:
  The current introspector.

### discover

protected void discover(Class<?> clazz, String property, Object arg)

Parameters:
  `clazz` -
  `property` -
  `arg` -

### execute

public Object execute(Object o, Object value) throws IllegalAccessException, InvocationTargetException
Execute method against context.

Specified by:
  `execute` in class `SetExecutor`
Parameters:
  `o` -
  `value` -
Returns:
  The value of the invocation.
Throws:
  `IllegalAccessException`
  `InvocationTargetException`